Apache C++ Standard Library Reference Guide

## <istream>

Library: Input/output

    Header

- Local Index
- Summary
- Synopsis
- See Also
- Standard Conformance

### Local Index

No Entries

### Summary

The header `<istream>` is part of the Input/output library of the C++ Standard Library. It defines the class templates basic_istream and basic_iostream.

### Synopsis

    namespace std {
      template <class charT, class traits = char_traits<charT> >
      class basic_istream;
      typedef basic_istream<char>     istream;
      typedef basic_istream<wchar_t> wistream;

      template <class charT, class traits = char_traits<charT> >
      class basic_iostream;
      typedef basic_iostream<char>    iostream;
      typedef basic_iostream<wchar_t> wiostream;

      template <class charT, class traits>
      basic_istream<charT, traits>& ws(basic_istream<charT,
                                       traits>&);
    }

### See Also

basic_istream, basic_iostream

### Standard Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 27.6.1